propel:
  bsd_code:
    id:
    waste_type:       varchar(255)
    nomenclature:     varchar(32)
    code:             varchar(32)

  carrier:
    id:
    manufacturer_id:  { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    name:             { type: varchar(255), required: true, index: true }
    status:           integer
    telephone:        varchar(255)
    contact_name:     varchar(255)
    contact_phone:    varchar(255)
    email:            varchar(255)
    address:          varchar(255)
    postal_code:      varchar(255)
    city:             varchar(255)
    created_by:       { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    created_at:
    updated_at:

  civility:
    _attributes:      { isI18N: true, i18nTable: civility_i18n }
    id:

  civility_i18n:
    id:               { type: integer, required: true, primaryKey: true, foreignTable: civility, foreignReference: id }
    culture:          { isCulture: true, type: varchar, size: 7, required: true, primaryKey: true }
    name:             { type: varchar(255), required: true }

  config:
    id:
    name:             varchar(32)
    app_url:          varchar(255)
    siret:            varchar(255)
    address:          varchar(255)
    postal_code:      varchar(255)
    city:             varchar(255)
    email:            varchar(255)
    telephone:        varchar(255)
    fax:              varchar(255)
    contact_name:     varchar(255)
    recipisse_number: varchar(255)
    department:       varchar(255)
    validite:         varchar(255)
    signature:        varchar(255)
    transport_auth:   varchar(255)


  driver:
    id:
    carrier_id:
    name:             { type: varchar(255), required: true }
    telephone:        varchar(255)
    created_by:       { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    created_at:
    updated_at:

  holder:
    id:
    manufacturer_id:  { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    name:             { type: varchar(255), required: true }
    address:          longvarchar
    postal_code:      varchar(255)
    city:             varchar(255)
    telephone:        varchar(255)
    email:            varchar(255)
    siret:            varchar(255)
    created_by:       { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    has_subscribed_to_codes: boolean
    created_at:
    updated_at:

  holder_contact:
    id:
    holder_id:
    name:             varchar(255)
    firstname:        varchar(255)
    address:          longvarchar
    postal_code:      varchar(255)
    city:             varchar(255)
    telephone:        varchar(255)
    fax:              varchar(255)
    email:            varchar(255)

  job:
    id:
    internal_id:        varchar(32)
    center_id:          { type: integer, required: false, primaryKey: false, foreignTable: user, foreignReference: id }
    manufacturer_id:    { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    holder_id:
    holder_contact_id:
    carrier_id:
    status:             integer
    taking_at:          timestamp
    invoice:            varchar(255)
    created_by:         { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    created_at:
    updated_at:

  job_action:
    id:
    job_id:
    user_id:
    is_done:                  integer
    status:                   integer
    created_at:

  job_bsd:
    id:
    job_id:
    waste_code:                 varchar(255)
    real_weight:                integer
    weight:                     integer
    bsd_final:                  varchar(255)

  user:
    id:
    culture:                    varchar(2)
    slug:                       varchar(255)
    name:                       varchar(255)
    is_admin:                   boolean
    can_login:                  boolean
    user_role:                  integer
    status:                     integer
    email:                      { type: varchar(255), required: true }
    password:                   { type: varchar(255), required: true }
    civility_id:
    default_contact_name:       varchar(255)
    siret:                      { type: varchar(255), required: false }
    address:                    longvarchar
    postal_code:                varchar(255)
    city:                       varchar(255)
    telephone:                  varchar(255)
    fax:                        varchar(255)
    created_at:
    updated_at:

  user_contact:
    id:
    user_id:
    name:                       varchar(255)
    email:                      { type: varchar(255), required: true }
    password:                   { type: varchar(255), required: false }
    civility_id:
    address:                    longvarchar
    postal_code:                varchar(255)
    city:                       varchar(255)
    telephone:                  varchar(255)
    fax:                        varchar(255)


  waste:
    id:
    job_id:
    make:                        varchar(255)
    category:                    varchar(255)
    model:                       varchar(255)
    quantity:                    integer
    rubrique:                    varchar(255)
    serial_number:               varchar(255)
    internal_reference:          varchar(255)
    status:                      integer
    weight_estimated:            integer
    weight_confirmed:            integer
    created_by:       { type: integer, required: true, primaryKey: false, foreignTable: user, foreignReference: id }
    created_at:
    updated_at:


